Subject: MISSING ISSUE: Overload on IESG not mentioned

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 19 Jun 2003 09:35:09 +0200

In -issues- section 2.5, I think there is data missing.
The most closely related section is 2.5.1, "Span of authority".

ISSUE: The problem raised in [WRONG] as "The AD's job can't be done well", 
pointing out that the jobs currently assigned to the AD role are more than 
one can reasonably expect people to handle, is not reflected here. This has 
a number of damaging effects.

SUGGESTED RESOLUTION: Add a new subsection called "Workload on the IESG", 
stealing liberally from [WRONG] for specific words.

[WRONG] = http://www.alvestrand.no/ietf/chair/what-is-wrong.html

---

From: Keith Moore <[email-masked]>
Date: Thu, 19 Jun 2003 16:06:47 -0400

strongly agree.  this is a huge omission in the current document.

Keith

> ISSUE: The problem raised in [WRONG] as "The AD's job can't be done
> well", pointing out that the jobs currently assigned to the AD role
> are more than one can reasonably expect people to handle, is not
> reflected here. This has a number of damaging effects.
> 
> SUGGESTED RESOLUTION: Add a new subsection called "Workload on the
> IESG", stealing liberally from [WRONG] for specific words.
>